Register Employee to Pension

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

/register/employee-pension/

Register an employee pension details. This endpoint allows you to specify the employee's pension provider, contribution amounts, and other relevant details.

Input Schema

{
    pension: {
      provider: String,
      providerPin: String,
      usePercentage: Boolean,
      employeePensionPin: String,,
      employerVoluntaryContribution: Number,
      employeeVoluntaryContribution: Number,
    },
    employeeId: String,
}

Response Schema

{
    status: Boolean,
    message: String,
    data: {
        provider: String,
        providerPin: String,
        usePercentage: Boolean,
        employeePensionPin: String,
        employerPensionContribution: Number,
        employeePensionContribution: Number,
        employerVoluntaryContribution: Number,
        employeeVoluntaryContribution: Number,
    }
}

Note: Ensure that the employee's pension details are correctly included in the "pension" object, and the "employeeId" corresponds to the unique identifier for each employee.

Body Params
pensions
array
required

Array of employee pension details.

pensions*
pension
object
string
required

Unique identifier for the employee.

Headers
string
required

Bearer {your_api_key}

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json